Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509546 - "systemctl start lldpad" failed
Summary: "systemctl start lldpad" failed
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: lldpad
Version: 27
Hardware: Unspecified
OS: Unspecified
urgent
unspecified
Target Milestone: ---
Assignee: Chris Leech
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-04 14:00 UTC by lnie
Modified: 2018-11-30 22:53 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:53:36 UTC


Attachments (Terms of Use)
journal (deleted)
2017-11-04 14:00 UTC, lnie
no flags Details

Description lnie 2017-11-04 14:00:46 UTC
Created attachment 1347746 [details]
journal

Description of problem:

[root@storageqe-16 ~]# systemctl start lldpad
[root@storageqe-16 ~]# echo $?
0
[root@storageqe-16 ~]# systemctl status lldpad
● lldpad.service - Link Layer Discovery Protocol Agent Daemon.
   Loaded: loaded (/usr/lib/systemd/system/lldpad.service; enabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since Sat 2017-11-04 09:57:58 EDT; 17s ago
  Process: 31570 ExecStart=/usr/sbin/lldpad -t (code=exited, status=1/FAILURE)
 Main PID: 31570 (code=exited, status=1/FAILURE)

Nov 04 09:57:58 storageqe-16.rhts.eng.bos.redhat.com systemd[1]: Started Link Layer Discovery Protocol Agent Daemon..
Nov 04 09:57:58 storageqe-16.rhts.eng.bos.redhat.com systemd[1]: lldpad.service: Main process exited, code=exited, status=1/FAILURE
Nov 04 09:57:58 storageqe-16.rhts.eng.bos.redhat.com lldpad[31570]: error getting shm pid
Nov 04 09:57:58 storageqe-16.rhts.eng.bos.redhat.com systemd[1]: lldpad.service: Unit entered failed state.
Nov 04 09:57:58 storageqe-16.rhts.eng.bos.redhat.com systemd[1]: lldpad.service: Failed with result 'exit-code'.


Version-Release number of selected component (if applicable):
lldpad-1.0.1-8.git036e314.fc27.x86_64

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 lnie 2017-11-06 07:31:03 UTC
Please fix this ASAP,as this bug will block the fcoe testing,thanks a lot

Comment 2 Petr Machata 2018-09-25 14:26:25 UTC
Is this still relevant? If yes, can you try running lldpad under strace? (`strace lldpad`). In the output, look for "/dev/shm", indicating start of a shared memory block, which is what seems to be failing in your case. A correct run looks something like this:

statfs("/dev/shm/", {f_type=TMPFS_MAGIC, f_bsize=4096, f_blocks=255382, f_bfree=255381, f_bavail=255381, f_files=255382, f_ffree=255380, f_fsid={val=[0, 0]}, f_namelen=255, f_frsize=4096, f_flags=ST_VALID|ST_NOSUID|ST_NODEV}) = 0
futex(0x7f9bbaaf0370, FUTEX_WAKE_PRIVATE, 2147483647) = 0
openat(AT_FDCWD, "/dev/shm/lldpad.state", O_RDWR|O_CREAT|O_NOFOLLOW|O_CLOEXEC, 0600) = 4
ftruncate(4, 4096)                      = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_SHARED, 4, 0) = 0x7f9bbb70a000

Can you please paste what you run looks like?

Comment 3 Ben Cotton 2018-11-27 14:22:12 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2018-11-30 22:53:36 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.